AddressingProperties (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.ws.addressing

## Class AddressingProperties

- java.lang.Object
- - org.apache.cxf.ws.addressing.AddressingProperties

-     public class AddressingProperties
      extends Object

  Abstraction of Message Addressing Properties.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddressingProperties()` | Constructor, defaults to 2005/08 namespace.
    `AddressingProperties​(String uri)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AddressingProperties` | `createCompatibleResponseProperties()` |
    `void` | `exposeAs​(String uri)` | Used to specify a different WS-Addressing namespace URI, so as to cause MAPs to be exposed (i.e. encoded in externalized message with a different WS-Addressing version).
    `org.apache.cxf.ws.addressing.AttributedURIType` | `getAction()` | Accessor for the Action property.
    `QName` | `getDuplicate()` |
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `getFaultTo()` | Accessor for the FaultTo property.
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `getFrom()` | Accessor for the From property.
    `org.apache.cxf.ws.addressing.AttributedURIType` | `getMessageID()` | Accessor for the MessageID property.
    `List<QName>` | `getMustUnderstand()` |
    `String` | `getNamespaceURI()` |
    `org.apache.cxf.ws.addressing.RelatesToType` | `getRelatesTo()` | Accessor for the RelatesTo property.
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `getReplyTo()` | Accessor for the ReplyTo property.
    `org.apache.cxf.ws.addressing.AttributedURIType` | `getTo()` | Accessor for the To property.
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `getToEndpointReference()` |
    `boolean` | `isRequired()` |
    `void` | `setAction​(org.apache.cxf.ws.addressing.AttributedURIType iri)` | Mutator for the Action property.
    `void` | `setDuplicate​(QName dup)` |
    `void` | `setFaultTo​(org.apache.cxf.ws.addressing.EndpointReferenceType ref)` | Mutator for the FaultTo property.
    `void` | `setFrom​(org.apache.cxf.ws.addressing.EndpointReferenceType epr)` | Mutator for the From property.
    `void` | `setMessageID​(org.apache.cxf.ws.addressing.AttributedURIType iri)` | Mutator for the MessageID property.
    `void` | `setRelatesTo​(org.apache.cxf.ws.addressing.RelatesToType rel)` | Mutator for the RelatesTo property.
    `void` | `setReplyTo​(org.apache.cxf.ws.addressing.EndpointReferenceType ref)` | Mutator for the ReplyTo property.
    `void` | `setRequired​(boolean b)` |
    `void` | `setTo​(org.apache.cxf.ws.addressing.AttributedURIType t)` | Mutator for the To property.
    `void` | `setTo​(org.apache.cxf.ws.addressing.EndpointReferenceType epr)` | Mutator for the To property.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressingProperties

          public AddressingProperties()

      Constructor, defaults to 2005/08 namespace.

    - #### AddressingProperties

          public AddressingProperties​(String uri)

      Constructor.
      Parameters:
        `uri` - the namespace URI

  - ### Method Detail

    - #### getToEndpointReference

          public org.apache.cxf.ws.addressing.EndpointReferenceType getToEndpointReference()

    - #### getTo

          public org.apache.cxf.ws.addressing.AttributedURIType getTo()

      Accessor for the To property.
      Returns:
        To property

    - #### setTo

          public void setTo​(org.apache.cxf.ws.addressing.AttributedURIType t)

      Mutator for the To property.
      Parameters:
        `t` - new value for To property

    - #### setTo

          public void setTo​(org.apache.cxf.ws.addressing.EndpointReferenceType epr)

      Mutator for the To property.
      Parameters:
        `epr` - new value for To property

    - #### getFrom

          public org.apache.cxf.ws.addressing.EndpointReferenceType getFrom()

      Accessor for the From property.
      Returns:
        current value of From property

    - #### setFrom

          public void setFrom​(org.apache.cxf.ws.addressing.EndpointReferenceType epr)

      Mutator for the From property.
      Parameters:
        `epr` - new value for From property

    - #### getMessageID

          public org.apache.cxf.ws.addressing.AttributedURIType getMessageID()

      Accessor for the MessageID property.
      Returns:
        current value of MessageID property

    - #### setMessageID

          public void setMessageID​(org.apache.cxf.ws.addressing.AttributedURIType iri)

      Mutator for the MessageID property.
      Parameters:
        `iri` - new value for MessageTo property

    - #### getReplyTo

          public org.apache.cxf.ws.addressing.EndpointReferenceType getReplyTo()

      Accessor for the ReplyTo property.
      Returns:
        current value of ReplyTo property

    - #### setReplyTo

          public void setReplyTo​(org.apache.cxf.ws.addressing.EndpointReferenceType ref)

      Mutator for the ReplyTo property.
      Parameters:
        `ref` - new value for ReplyTo property

    - #### getFaultTo

          public org.apache.cxf.ws.addressing.EndpointReferenceType getFaultTo()

      Accessor for the FaultTo property.
      Returns:
        current value of FaultTo property

    - #### setFaultTo

          public void setFaultTo​(org.apache.cxf.ws.addressing.EndpointReferenceType ref)

      Mutator for the FaultTo property.
      Parameters:
        `ref` - new value for FaultTo property

    - #### getRelatesTo

          public org.apache.cxf.ws.addressing.RelatesToType getRelatesTo()

      Accessor for the RelatesTo property.
      Returns:
        current value of RelatesTo property

    - #### setRelatesTo

          public void setRelatesTo​(org.apache.cxf.ws.addressing.RelatesToType rel)

      Mutator for the RelatesTo property.
      Parameters:
        `rel` - new value for RelatesTo property

    - #### getAction

          public org.apache.cxf.ws.addressing.AttributedURIType getAction()

      Accessor for the Action property.
      Returns:
        current value of Action property

    - #### setAction

          public void setAction​(org.apache.cxf.ws.addressing.AttributedURIType iri)

      Mutator for the Action property.
      Parameters:
        `iri` - new value for Action property

    - #### getNamespaceURI

          public String getNamespaceURI()

      Returns:
        WS-Addressing namespace URI

    - #### exposeAs

          public void exposeAs​(String uri)

      Used to specify a different WS-Addressing namespace URI, so as to cause MAPs to be exposed (i.e. encoded in externalized message with a different WS-Addressing version).

    - #### setDuplicate

          public void setDuplicate​(QName dup)

    - #### getDuplicate

          public QName getDuplicate()

    - #### getMustUnderstand

          public List<QName> getMustUnderstand()

    - #### isRequired

          public boolean isRequired()

    - #### setRequired

          public void setRequired​(boolean b)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### createCompatibleResponseProperties

          public AddressingProperties createCompatibleResponseProperties()